<?php 
/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


include_once('AbstractObserver.php');

/**
 * Classe abstraite pour le sujet
 *
 * Contient toutes les méthodes utiles
 * 
 */
abstract class AbstractSubject
{

	abstract function attach(AbstractObserver $observerIn);// ajout d'un observer
	abstract function detach(AbstractObserver $observerIn);// suppression d'un observer

	abstract function notify();// informe les observers

}

?>