<?php session_start(); ?>

<!DOCTYPE html> 
<!-- 
/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
 --> 
<html lang="fr"> 
  <head> 
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <link rel="stylesheet" type="text/css" href="site.css"/> 
    <meta name = "viewport" content = "user-scalable=no, initial-scale=1.0, maximum-scale=1.0, width=device-width" /> 

<style> 
</style>

  </head> 
 
  <body> 
    <header> 
      <h1>Developpement Facile</h1>
    </header> 

    <nav> 
      <ul> 
        <li>Accueil</li> 
        <li>Nous Contacter</li> 
        <li>A Propos</li> 
      </ul> 
    </nav>

    <div class="separateur"></div> 
 
    <section id="content">

      <div id="ct">

        <?php
          include_once('ExempleSubject.php');// inclus une seule fois le fichier, s'il n'existe pas, continue l'exécution du script
          include_once('ExempleObserver.php');

          define('BR', '<'.'BR'.'>');// constante saut de ligne

          echo 'Lancement du modèle Observer'.BR;
          echo BR;


          $oMaisonEditions = new ExempleSubject();// une maison d'éditions qui édite des magazines

          $oLecteur = new ExempleObserver();// un groupe de lecteur


          $oMaisonEditions->attach($oLecteur);// le lecteur écoute la maison d'éditions


          $oMaisonEditions->updateFavorites('Nouveau magazine N°1: abstract factory, decorator, visitor');// nouveau magazine publié, informe les écouteurs (les lecteurs)

          $oMaisonEditions->updateFavorites('Nouveau magazine N°2 : abstract factory, observer, decorator');// nouveau magazine publié, informe les écouteurs (les lecteurs)
         
          $oMaisonEditions->detach($oLecteur);// le groupe de lecteur résilie son abonnement

          $oMaisonEditions->updateFavorites('Nouveau magazine N°3: abstract factory, observer, singleton');// nouveau magazine publié, informe les écouteurs (les lecteurs)


          echo BR.BR;
          echo 'Fin du test du modèle Observer'.BR;

        ?>


      </div>   

    	<p>
      Le Lorem Ipsum est simplement du faux texte employé dans la composition et la mise en page avant impression. Le Lorem Ipsum est le faux texte standard de l'imprimerie depuis les années 1500, quand un peintre anonyme assembla ensemble des morceaux de texte pour réaliser un livre spécimen de polices de texte. </p>

      <p>
      Il n'a pas fait que survivre cinq siècles, mais s'est aussi adapté à la bureautique informatique, sans que son contenu n'en soit modifié. Il a été popularisé dans les années 1960 grâce à la vente de feuilles Letraset contenant des passages du Lorem Ipsum, et, plus récemment, par son inclusion dans des applications de mise en page de texte, comme Aldus PageMaker.
      </p>
    </section> 
 	
	<footer> 
		<p>Copyright www.Developpement-Facile.com 2014</p>  
	</footer> 

  </body> 
</html>

<?
//echo 'Données de session :<br>';
//print_r($_SESSION);
?>

